## ktorrent 4.1.1

=== kio-magnet/CMakeLists.txt ===
project(kio-magnet)
find_package(Qt4 4.5.0 REQUIRED)
find_package(KDE4 4.3.0 REQUIRED) # hopefully this is ok

# set some default settings
include(KDE4Defaults)

# make some more macros available
include (MacroLibrary)

#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS

# according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions( ${KDE4_DEFINITIONS} )
add_definitions( -DKDE_DEFAULT_DEBUG_AREA=7132 )
include_directories( ${KDE4_INCLUDES} )

# add_subdirectory("kcm")

########### kio_magnet ###############

set(kio_magnet_SRCS kio_magnet.cpp dbushandler.cpp dbusthread.cpp 
                     interfaces/ktorrentcoreinterface.cpp interfaces/ktorrenttorrentinterface.cpp
                     interfaces/ktorrenttorrentfilestreaminterface.cpp interfaces/ktorrentgroupinterface.cpp )


kde4_add_kcfg_files(kio_magnet_SRCS magnetsettings.kcfgc)
install(FILES magnetsettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

kde4_add_plugin(kio_magnet ${kio_magnet_SRCS})

target_link_libraries(kio_magnet ${KDE4_KIO_LIBS} )

# set(ktorrent_torrent_xml ./interfaces/org.ktorrent.torrent.xml)
#qt4_add_dbus_interfaces(kio_magnet_SRCS org.ktorrent.core.xml org.ktorrent.torrent.xml )
# qt4_add_dbus_interface(kio_magnet_SRCS org.ktorrent.core.xml ktorrent_torrent_interface )
# PKGCONFIG_GETVAR(dbus-1 prefix DBUS_PREFIX)
# set(ktorrent_core_xml ./interfaces/org.ktorrent.core.xml)
#set(sso_xml ${DBUS_PREFIX}/share/dbus-1/interfaces/com.ubuntu.sso.xml)
# set_source_files_properties(${ktorrent_core_xml} PROPERTIES NO_NAMESPACE TRUE)
# qt4_add_dbus_interface(kio_magnet_SRCS ${ktorrent_core_xml} KTorrentCoreInterface)

install(TARGETS kio_magnet DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES magnet.protocol DESTINATION  ${SERVICES_INSTALL_DIR} )


#include (CPack)
#set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
#set(${CPACK_GENERATOR} "TGZ;DEB")
#set(CPACK_INSTALL_CMAKE_PROJECTS "kio-magnet")
#set(CPACK_PACKAGE_VERSION_MAJOR "0")
#set(CPACK_PACKAGE_VERSION_MINOR "0")
#set(CPACK_PACKAGE_VERSION_PATCH "1")
#set(CPACK_PACKAGE_NAME "kio-magnet")
#set(CPACK_PACKAGE_VERSION "0.0.1")
#set(CPACK_DEBIAN_PACKAGE_VERSION "0.0.1~ubuntu0")
#set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "kdelibs5 (>= 4.3.0)  ktorrent (>= 4.0.3)")
#set(CPACK_DEBIAN_BUILD_DEPENDS "kdelibs5-dev (>= 4.3.0)")
#set(CPACK_PACKAGE_CONTACT "ch_weil@web.de")
#set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A kioslave for magnet-urls.")
#set(CPACK_DEBIAN_PACKAGE_SECTION "kde")
#set(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
#set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "konqueror")

=== ktorrent/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

#  set(kt4_SRC app.cpp mainwindow.cpp core.cpp view.cpp viewmodel.cpp main.cpp)
set(ktorrent_SRC 
	main.cpp 
	core.cpp 
	gui.cpp 
	app.cpp 
	torrentactivity.cpp
	statusbar.cpp 
	trayicon.cpp
	ipfilterlist.cpp
	ipfilterwidget.cpp
	
	tools/queuemanagerwidget.cpp
	tools/queuemanagermodel.cpp
	tools/magnetmodel.cpp
	tools/magnetview.cpp
	
	groups/grouppolicydlg.cpp
	groups/groupfiltermodel.cpp
	groups/groupview.cpp
	
	dialogs/pastedialog.cpp
	dialogs/speedlimitsdlg.cpp
	dialogs/speedlimitsmodel.cpp
	dialogs/spinboxdelegate.cpp
	dialogs/torrentcreatordlg.cpp
	dialogs/missingfilesdlg.cpp
	dialogs/importdialog.cpp
	dialogs/addpeersdlg.cpp
	dialogs/torrentmigratordlg.cpp
	dialogs/fileselectdlg.cpp 
	
	pref/prefdialog.cpp 
	pref/advancedpref.cpp
	pref/networkpref.cpp
	pref/proxypref.cpp
	pref/qmpref.cpp
	pref/generalpref.cpp
	pref/recommendedsettingsdlg.cpp
	pref/btpref.cpp
	
	view/view.cpp 
	view/viewmodel.cpp
	view/viewmanager.cpp 
	view/viewdelegate.cpp
	view/viewselectionmodel.cpp
	view/scanextender.cpp
	view/propertiesextender.cpp
)
	

kde4_add_ui_files(ktorrent_SRC 
	ipfilterwidget.ui 
	
	dialogs/speedlimitsdlg.ui 
	dialogs/pastedlgbase.ui 
	dialogs/torrentcreatordlg.ui 
	dialogs/missingfilesdlg.ui
	dialogs/importdialog.ui
	dialogs/addpeersdlg.ui
	dialogs/torrentmigratordlg.ui
	dialogs/fileselectdlg.ui 
	
	groups/grouppolicydlg.ui
	
	tools/queuemanagerwidget.ui
	
	pref/qmpref.ui 
	pref/btpref.ui
	pref/generalpref.ui 
	pref/advancedpref.ui 
	pref/networkpref.ui
	pref/proxypref.ui
	pref/recommendedsettingsdlg.ui
	
	view/scanextender.ui
	view/propertiesextender.ui
)

kde4_add_app_icon(ktorrent_SRC "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-ktorrent.png")

kde4_add_executable(ktorrent_app ${ktorrent_SRC})
set_target_properties(ktorrent_app  PROPERTIES OUTPUT_NAME ktorrent)

target_link_libraries(ktorrent_app ${LIBKTORRENT_LIBRARIES} ktcore ${KDE4_SOLID_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS})
install(TARGETS ktorrent_app ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS ktorrent.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES ktorrentplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
# TODO remove once kio-magnet is properly integrated
#install(FILES magnet.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES ktorrentui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
install(FILES kttorrentactivityui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
install(FILES ktorrent.notifyrc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )

add_subdirectory(icons)

=== libktcore/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktcore.h.cmake ${CMAKE_BINARY_DIR}/config-ktcore.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(libktorrent_SRC 
	util/mmapfile.cpp
	util/itemselectionmodel.cpp
	util/stringcompletionmodel.cpp
	util/hintlineedit.cpp
	util/treefiltermodel.cpp
	
	interfaces/functions.cpp
	interfaces/plugin.cpp
	interfaces/guiinterface.cpp
	interfaces/coreinterface.cpp
	interfaces/prefpageinterface.cpp
	interfaces/activity.cpp
	interfaces/torrentactivityinterface.cpp
	
	torrent/queuemanager.cpp
	torrent/torrentfilemodel.cpp
	torrent/torrentfiletreemodel.cpp
	torrent/torrentfilelistmodel.cpp
	torrent/chunkbar.cpp 
	torrent/chunkbarrenderer.cpp
	torrent/jobtracker.cpp
	torrent/jobprogresswidget.cpp 
	torrent/basicjobprogresswidget.cpp 
	
	groups/group.cpp
	groups/torrentgroup.cpp
	groups/allgroup.cpp
	groups/ungroupedgroup.cpp
	groups/groupmanager.cpp
	groups/functiongroup.cpp
	
	dbus/dbus.cpp
	dbus/dbustorrent.cpp
	dbus/dbusgroup.cpp
	dbus/dbussettings.cpp
	dbus/dbustorrentfilestream.cpp
	
	gui/centralwidget.cpp
	gui/tabbarwidget.cpp
	gui/extender.cpp
	
	plugin/pluginmanager.cpp
	plugin/pluginactivity.cpp

	ktorrent.kcfg
)

set(libktorrent_UI torrent/basicjobprogresswidget.ui )

kde4_add_ui_files(libktorrent_SRC ${libktorrent_UI})
kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
kde4_add_library(ktcore SHARED ${libktorrent_SRC})

target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
set_target_properties(ktcore PROPERTIES VERSION 12.0.1 SOVERSION 12 )
install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== plugins/bwscheduler/CMakeLists.txt ===
set(ktbwschedulerplugin_SRC bwschedulerplugin.cpp weekview.cpp weekscene.cpp schedule.cpp scheduleeditor.cpp additemdlg.cpp schedulegraphicsitem.cpp bwprefpage.cpp guidanceline.cpp edititemdlg.cpp weekdaymodel.cpp)

set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
QT4_ADD_DBUS_INTERFACE(ktbwschedulerplugin_SRC ${screensaver_xml} screensaver_interface)

kde4_add_ui_files(ktbwschedulerplugin_SRC additemdlg.ui edititemdlg.ui bwprefpage.ui)
kde4_add_kcfg_files(ktbwschedulerplugin_SRC bwschedulerpluginsettings.kcfgc)
kde4_add_plugin(ktbwschedulerplugin ${ktbwschedulerplugin_SRC})

target_link_libraries(
    ktbwschedulerplugin
    ktcore
    ${LIBKTORRENT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS} 
    ${KDE4_SOLID_LIBS}
    )
install(TARGETS ktbwschedulerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktbwschedulerplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES ktbwschedulerpluginui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )

=== plugins/mediaplayer/CMakeLists.txt ===
find_package(Taglib REQUIRED)
include_directories(${TAGLIB_INCLUDES})

set(ktmediaplayerplugin_SRC 
	playlist.cpp 
	playlistwidget.cpp 
	mediaplayeractivity.cpp 
	mediaplayerplugin.cpp 
	mediaview.cpp 
	mediamodel.cpp 
	mediafile.cpp 
	mediafilestream.cpp 
	mediaplayer.cpp 
	videowidget.cpp
	videochunkbar.cpp
)

set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
QT4_ADD_DBUS_INTERFACE(ktmediaplayerplugin_SRC ${screensaver_xml} screensaver_interface)

#kde4_add_ui_files(ktmediaplayerplugin_SRC mediaplayerpref.ui)
kde4_add_kcfg_files(ktmediaplayerplugin_SRC mediaplayerpluginsettings.kcfgc)
kde4_add_plugin(ktmediaplayerplugin ${ktmediaplayerplugin_SRC})

target_link_libraries(
    ktmediaplayerplugin
    ktcore
    ${LIBKTORRENT_LIBRARIES}
	${TAGLIB_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_PHONON_LIBS}
	${KDE4_SOLID_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )
install(TARGETS ktmediaplayerplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktmediaplayerplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES ktmediaplayerpluginui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )

=== debian/changelog ===
ktorrent (4.1.1-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove kdebase-workspace-dev (<< 4:4.6) Build-Conflicts. It was to aid
    testing migration, hence not relevant (and wrong) for squeeze-backports.

 -- Modestas Vainius <modax@debian.org>  Thu, 09 Jun 2011 22:52:07 +0300

ktorrent (4.1.1-2) unstable; urgency=low

  * Add kdebase-workspace-dev (<< 4:4.6) to Build-Conflicts temporary. Needed
    for KDE SC 4.6 transition.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Sat, 28 May 2011 01:49:14 +0300

ktorrent (4.1.1-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent-dev 1.1.1.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Correct menu-icon-missing override.

 -- Modestas Vainius <modax@debian.org>  Tue, 03 May 2011 01:25:00 +0300

ktorrent (4.1.0-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent-dev 1.1.0.
  * Drop upstream_kde4.4_compat.diff patch, merged upstream.
  * Build depend on libqtwebkit-dev | libqt4-dev (<< 4:4.7.0).

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Mar 2011 02:24:35 +0200

ktorrent (4.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.1~rc1.
  * Add upstream_kde4.4_compat.diff patch in order to restore compatibility
    with KDE Devel Platform 4.4.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 02:53:14 +0200

ktorrent (4.0.3-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Require libktorrent 1.0.3 per upstream recommendation.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:40:16 +0300

=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
 kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
 kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.1),
 libtag1-dev, libgeoip-dev, libx11-dev
Standards-Version: 3.9.2
Homepage: http://ktorrent.org/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary

Package: ktorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
 libktorrent-l10n
Suggests: plasma-widget-ktorrent (= ${binary:Version})
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface and Plasma widget.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful built-in features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Replaces: ktorrent (<< 3.2~beta1+svn902175)
Breaks: ktorrent (<< 3.2~beta1+svn902175)
Description: KTorrent data and other architecture independent files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

Package: plasma-widget-ktorrent
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
Breaks: ktorrent (<< 3.2~beta1+svn898132)
Conflicts: plasma-applet-ktorrent
Description: KTorrent Plasma widget
 This package provides the KTorrent Plasma widget which features display of
 the current upload and download speeds and status of any single torrent which
 KTorrent knows about. Please note that KTorrent must be running for this
 widget to be able to display any up-to-date information.
 .
 This package contains KTorrent Plasma data engine as well.

Package: ktorrent-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ktorrent (= ${binary:Version}), libktorrent-dbg
Recommends: kdelibs5-dbg
Description: KTorrent debugging symbols
 This package contains debugging symbols for KTorrent. When KTorrent crashes,
 in most cases this package is needed to get a backtrace that is useful for
 developers. If you have experienced KTorrent crash without this package
 installed, please install it, try to reproduce the problem and file a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON
%:
	dh --parallel --dbg-package=ktorrent-dbg --with kde $@

.PHONY: override_dh_auto_test

## ktorrent 4.1.3

=== CMakeLists.txt ===
project(KTORRENT)
find_package(Qt4 4.6.0 REQUIRED)
find_package(KDE4 4.4.0 REQUIRED)
find_package(KTorrent REQUIRED)
find_package(Boost REQUIRED)

# set some default settings
include(KDE4Defaults)
enable_testing()
set(BUILD_TESTING ON)

# make some more macros available
include (MacroLibrary)
#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS


# according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions( ${KDE4_DEFINITIONS} )

set (KTORRENT_DBUS_XML_DIR ${KTORRENT_SOURCE_DIR}/dbus_xml)

include_directories( ${KDE4_INCLUDES} 
   ${KTORRENT_BINARY_DIR}
   ${KTORRENT_BINARY_DIR}/libktcore
   ${KTORRENT_SOURCE_DIR}/libktcore
   ${LIBKTORRENT_INCLUDE_DIR}
   ${KTORRENT_SOURCE_DIR}
   ${GMP_INCLUDE_DIR}
   ${Boost_INCLUDE_DIR}
   )

add_subdirectory(libktcore)
add_subdirectory(plugins)
add_subdirectory(ktorrent)
add_subdirectory(ktupnptest)
add_subdirectory(plasma)
add_subdirectory(ktmagnetdownloader)
add_subdirectory(kio-magnet)
add_subdirectory(doc)

# --- show log ---
macro_display_feature_log()


find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== libktcore/CMakeLists.txt ===
--- 
+++ 
@@ -58,6 +58,6 @@
 kde4_add_library(ktcore SHARED ${libktorrent_SRC})
 
 target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
-set_target_properties(ktcore PROPERTIES VERSION 12.0.1 SOVERSION 12 )
+set_target_properties(ktcore PROPERTIES VERSION 12.0.2 SOVERSION 12 )
 install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( ast )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hne )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( mai )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( se )
add_subdirectory( si )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
ktorrent (4.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain transparent support for dpkg-buildflags in dh/dh_auto_*.
  * Reorder dh options in compat=8 compatible way.

 -- Modestas Vainius <modax@debian.org>  Tue, 06 Dec 2011 00:25:09 +0200

ktorrent (4.1.2-1) unstable; urgency=low

  * New upstream release.
  * Add krosspython to ktorrent Suggests.
  * Require libktorrent-dev 1.1.2.

 -- Modestas Vainius <modax@debian.org>  Thu, 18 Aug 2011 01:15:58 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.9), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.1),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.2),
  libtag1-dev, libgeoip-dev, libx11-dev
+Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
 Standards-Version: 3.9.2
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
@@ -17,7 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
  libktorrent-l10n
-Suggests: plasma-widget-ktorrent (= ${binary:Version})
+Suggests: plasma-widget-ktorrent (= ${binary:Version}), krosspython
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
  is based on the KDE platform. Obviously, KTorrent supports such basic features

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON
%:
	dh $@ --parallel --dbg-package=ktorrent-dbg --with kde

.PHONY: override_dh_auto_test

## ktorrent 4.2.0

=== libktcore/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 	util/mmapfile.cpp
 	util/itemselectionmodel.cpp
 	util/stringcompletionmodel.cpp
-	util/hintlineedit.cpp
 	util/treefiltermodel.cpp
 	
 	interfaces/functions.cpp
@@ -58,6 +57,6 @@
 kde4_add_library(ktcore SHARED ${libktorrent_SRC})
 
 target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
-set_target_properties(ktcore PROPERTIES VERSION 12.0.2 SOVERSION 12 )
+set_target_properties(ktcore PROPERTIES VERSION 13.0.0 SOVERSION 13 )
 install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
ktorrent (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Require libktorrent 1.2.0 to build.
  * Build depend on debhelper 9 as lintian insists.
  * Enable kio-magnet (pass -DENABLE_KIO_MAGNET=1 to cmake).

 -- Modestas Vainius <modax@debian.org>  Sat, 10 Mar 2012 22:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake (>= 2.6.2), debhelper (>= 8.9), pkg-kde-tools (>= 0.5),
+Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.1.2),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.0),
  libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary

## ktorrent 4.2.1

=== debian/changelog ===
ktorrent (4.2.1-1) unstable; urgency=low

  * New upstream release.
  * Require libktorrent 1.2.1 for building.
  * Drop unused override menu-icon-missing.

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Jun 2012 22:11:37 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.0),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.1),
  libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
 Standards-Version: 3.9.3

## ktorrent 4.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(KTORRENT)
-find_package(Qt4 4.6.0 REQUIRED)
+find_package(Qt4 4.7.0 REQUIRED)
 find_package(KDE4 4.4.0 REQUIRED)
 find_package(KTorrent REQUIRED)
 find_package(Boost REQUIRED)
@@ -22,7 +22,7 @@
 # according to http://www.cmake.org/pipermail/cmake/2008-June/022381.html
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
 add_definitions( ${KDE4_DEFINITIONS} )
-
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 set (KTORRENT_DBUS_XML_DIR ${KTORRENT_SOURCE_DIR}/dbus_xml)
 
 include_directories( ${KDE4_INCLUDES} 
@@ -36,13 +36,23 @@
    )
 
 add_subdirectory(libktcore)
+
+option(ENABLE_KIO_MAGNET "Whether to build kio-magnet or not" false)
+if (${ENABLE_KIO_MAGNET})
+    message(STATUS "Building kio-magnet (-DENABLE_KIO_MAGNET=false to disable)")
+    add_subdirectory(kio-magnet)
+else (${ENABLE_KIO_MAGNET})
+    message(STATUS "Not building kio-magnet (-DENABLE_KIO_MAGNET=true to enable)")
+endif (${ENABLE_KIO_MAGNET})
+
 add_subdirectory(plugins)
 add_subdirectory(ktorrent)
 add_subdirectory(ktupnptest)
 add_subdirectory(plasma)
 add_subdirectory(ktmagnetdownloader)
-add_subdirectory(kio-magnet)
 add_subdirectory(doc)
+
+
 
 # --- show log ---
 macro_display_feature_log()

=== doc/CMakeLists.txt ===
########### install files ################
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR ktorrent)

=== ktorrent/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	groups/grouppolicydlg.cpp
 	groups/groupfiltermodel.cpp
 	groups/groupview.cpp
+	groups/groupviewmodel.cpp
+	groups/groupswitcher.cpp
 	
 	dialogs/pastedialog.cpp
 	dialogs/speedlimitsdlg.cpp
@@ -43,11 +45,12 @@
 	
 	view/view.cpp 
 	view/viewmodel.cpp
-	view/viewmanager.cpp 
 	view/viewdelegate.cpp
 	view/viewselectionmodel.cpp
+	view/viewjobtracker.cpp 
 	view/scanextender.cpp
-	view/propertiesextender.cpp
+	view/propertiesdlg.cpp
+	view/torrentsearchbar.cpp 
 )
 	
 
@@ -65,8 +68,6 @@
 	
 	groups/grouppolicydlg.ui
 	
-	tools/queuemanagerwidget.ui
-	
 	pref/qmpref.ui 
 	pref/btpref.ui
 	pref/generalpref.ui 
@@ -76,7 +77,7 @@
 	pref/recommendedsettingsdlg.ui
 	
 	view/scanextender.ui
-	view/propertiesextender.ui
+	view/propertiesdlg.ui
 )
 
 kde4_add_app_icon(ktorrent_SRC "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-ktorrent.png")
@@ -88,10 +89,13 @@
 install(TARGETS ktorrent_app ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS ktorrent.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install(FILES ktorrentplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
-# TODO remove once kio-magnet is properly integrated
-#install(FILES magnet.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
 install(FILES ktorrentui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 install(FILES kttorrentactivityui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 install(FILES ktorrent.notifyrc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
 
+if (NOT ${ENABLE_KIO_MAGNET})
+    install(FILES magnet.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )
+endif (NOT ${ENABLE_KIO_MAGNET})
+    
+
 add_subdirectory(icons)

=== ktupnptest/CMakeLists.txt ===
set(ktupnptest_SRC main.cpp upnptestwidget.cpp)
	

kde4_add_ui_files(ktupnptest_SRC upnptestwidget.ui)
kde4_add_executable(ktupnptest ${ktupnptest_SRC})

target_link_libraries(ktupnptest ${LIBKTORRENT_LIBRARIES} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDEUI_LIBS})
install(TARGETS ktupnptest ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libktcore/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,6 @@
 kde4_add_library(ktcore SHARED ${libktorrent_SRC})
 
 target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
-set_target_properties(ktcore PROPERTIES VERSION 13.0.0 SOVERSION 13 )
-install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )
+set_target_properties(ktcore PROPERTIES VERSION 15.0.0 SOVERSION 15 )
+install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== plasma/applet/CMakeLists.txt ===
MACRO_ENSURE_VERSION( "4.6.0" "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}" QT_VERSION_OK)
if(NOT QT_VERSION_OK)
	
	message(WARNING "Qt version to old for plasma applet, it will not be built, Qt 4.6.0 is required")

else(NOT QT_VERSION_OK)
	
	
	set(ktapplet_SRCS applet.cpp chunkbar.cpp fadingitem.cpp fadingnavigationwidget.cpp)
	
	kde4_add_ui_files(ktapplet_SRCS appletconfig.ui)
	
	kde4_add_plugin(plasma_applet_ktorrent ${ktapplet_SRCS})
	target_link_libraries(plasma_applet_ktorrent  ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${LIBKTORRENT_LIBRARIES} ktcore)
	
	install(TARGETS plasma_applet_ktorrent DESTINATION ${PLUGIN_INSTALL_DIR})
	install(FILES plasma-applet-ktorrent.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif(NOT QT_VERSION_OK)

=== plasma/dataengine/CMakeLists.txt ===
set(ktengine_SRCS
    engine.cpp coredbusinterface.cpp torrentdbusinterface.cpp
)

kde4_add_plugin(plasma_engine_ktorrent ${ktengine_SRCS})
target_link_libraries(plasma_engine_ktorrent ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS} ${LIBKTORRENT_LIBRARIES})

install(TARGETS plasma_engine_ktorrent DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-ktorrent.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== plugins/bwscheduler/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,20 @@
-set(ktbwschedulerplugin_SRC bwschedulerplugin.cpp weekview.cpp weekscene.cpp schedule.cpp scheduleeditor.cpp additemdlg.cpp schedulegraphicsitem.cpp bwprefpage.cpp guidanceline.cpp edititemdlg.cpp weekdaymodel.cpp)
+set(ktbwschedulerplugin_SRC 
+	bwschedulerplugin.cpp 
+	weekview.cpp 
+	weekscene.cpp 
+	schedule.cpp 
+	scheduleeditor.cpp 
+	schedulegraphicsitem.cpp 
+	bwprefpage.cpp 
+	guidanceline.cpp 
+	edititemdlg.cpp 
+	weekdaymodel.cpp
+)
 
 set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
 QT4_ADD_DBUS_INTERFACE(ktbwschedulerplugin_SRC ${screensaver_xml} screensaver_interface)
 
-kde4_add_ui_files(ktbwschedulerplugin_SRC additemdlg.ui edititemdlg.ui bwprefpage.ui)
+kde4_add_ui_files(ktbwschedulerplugin_SRC edititemdlg.ui bwprefpage.ui)
 kde4_add_kcfg_files(ktbwschedulerplugin_SRC bwschedulerpluginsettings.kcfgc)
 kde4_add_plugin(ktbwschedulerplugin ${ktbwschedulerplugin_SRC})

=== plugins/downloadorder/CMakeLists.txt ===
set(ktdownloadorderplugin_SRC downloadorderplugin.cpp downloadorderdialog.cpp downloadordermanager.cpp downloadordermodel.cpp)

kde4_add_ui_files(ktdownloadorderplugin_SRC downloadorderwidget.ui)
#kde4_add_kcfg_files(ktdownloadorderplugin_SRC searchpluginsettings.kcfgc)
kde4_add_plugin(ktdownloadorderplugin ${ktdownloadorderplugin_SRC})

target_link_libraries(
    ktdownloadorderplugin
    ktcore
    ${LIBKTORRENT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
    )
install(TARGETS ktdownloadorderplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktdownloadorderplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES ktdownloadorderpluginui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )

=== plugins/ipfilter/CMakeLists.txt ===
set(ktipfilterplugin_SRC ipblocklist.cpp ipblockingprefpage.cpp convertthread.cpp convertdialog.cpp ipfilterplugin.cpp downloadandconvertjob.cpp)

kde4_add_ui_files(ktipfilterplugin_SRC ipblockingprefpage.ui convertdialog.ui)
kde4_add_kcfg_files(ktipfilterplugin_SRC ipfilterpluginsettings.kcfgc)
kde4_add_plugin(ktipfilterplugin ${ktipfilterplugin_SRC})

target_link_libraries(
    ktipfilterplugin
    ktcore
    ${LIBKTORRENT_LIBRARIES}
    ${KDE4_KPARTS_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    )
install(TARGETS ktipfilterplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktipfilterplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )


add_subdirectory(tests)

=== plugins/mediaplayer/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 include_directories(${TAGLIB_INCLUDES})
 
 set(ktmediaplayerplugin_SRC 
+	mediacontroller.cpp 
 	playlist.cpp 
 	playlistwidget.cpp 
 	mediaplayeractivity.cpp 
@@ -18,7 +19,7 @@
 set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
 QT4_ADD_DBUS_INTERFACE(ktmediaplayerplugin_SRC ${screensaver_xml} screensaver_interface)
 
-#kde4_add_ui_files(ktmediaplayerplugin_SRC mediaplayerpref.ui)
+kde4_add_ui_files(ktmediaplayerplugin_SRC mediacontroller.ui)
 kde4_add_kcfg_files(ktmediaplayerplugin_SRC mediaplayerpluginsettings.kcfgc)
 kde4_add_plugin(ktmediaplayerplugin ${ktmediaplayerplugin_SRC})

=== plugins/scripting/CMakeLists.txt ===
add_subdirectory(scripts)

set(ktscriptingplugin_SRC
	api/scriptingmodule.cpp
	api/scriptablegroup.cpp
	scriptingplugin.cpp 
	scriptmanager.cpp 
	scriptmodel.cpp
	scriptdelegate.cpp 
	script.cpp)

kde4_add_ui_files(ktscriptingplugin_SRC scriptproperties.ui)
#kde4_add_kcfg_files(ktscriptingplugin_SRC scriptingpluginsettings.kcfgc)
kde4_add_plugin(ktscriptingplugin ${ktscriptingplugin_SRC})

target_link_libraries(
    ktscriptingplugin
    ktcore
    ${LIBKTORRENT_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KROSSCORE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${QT_QTCORE_LIBRARY}
    )
install(TARGETS ktscriptingplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktscriptingplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install(FILES ktscriptingpluginui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )

=== debian/changelog ===
ktorrent (4.3.1-2ubuntu1) trusty; urgency=medium

  * Add kubuntu_magnet-mimetype.diff to open magnet links

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Mar 2014 19:02:49 +0000

ktorrent (4.3.1-2) unstable; urgency=low

  * Do not build tests like before KDE 4.10. Fixes FTBFS (Closes: #722628)
  * Do not link with deprecated kutils library. (Closes: #717010)
    Patch: dont_link_with_kutils.patch
  * Build with hardening flags. (Closes: #663524)
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs URLs to canonical ones.
  * Upload to unstable. (Closes: #721049)
  * Disable KIO Magnet. It is considered obsolete (and might be buggy).
  * Require nepomuk-core-dev for KDE 4.9 or above (requirement of
    kdepimlibs).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 21:27:06 +0200

ktorrent (4.3.1-1) experimental; urgency=low

  * New upstream release.
  * Bump dependency on libktorrent to 1.3.1.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 11:51:28 +0200

ktorrent (4.3.0-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.3.0 for building.
  * Require Qt 4.7 and KDE Platform 4.7 for building.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 01:03:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 9~), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
- kdepimlibs5-dev (>= 4:4.4), libboost-dev, libqtwebkit-dev | libqt4-dev (<< 4:4.7.0),
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.2.1),
- libtag1-dev, libgeoip-dev, libx11-dev
+ libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3),
+ kdepimlibs5-dev (>= 4:4.7), nepomuk-core-dev | kdepimlibs5-dev (<< 4:4.9),
+ libboost-dev, libqtwebkit-dev, kdebase-workspace-dev (>= 4:4.7),
+ libktorrent-dev (>= 1.3.1), libtag1-dev, libgeoip-dev, libx11-dev
 Build-Conflicts: kdebase-workspace-dev (<< 4:4.6)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://ktorrent.org/
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/ktorrent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
 
 Package: ktorrent
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CPPFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON \
	                           -DKDE4_BUILD_TESTS=false
%:
	dh $@ --parallel --dbg-package=ktorrent-dbg --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

# Track development releases as well
opts="dversionmangle=s/\+dfsg\.?\d+//,uversionmangle=s/^([\d.]+)-?([a-z].+)/$1~$2/i" \
    http://ktorrent.org/downloads/([\d.]+(?:-?.*)?)/ \
    ktorrent-([\d.]+(?:-?.*)?)\.tar\.(?:bz2|gz)
